Bug 117706 - jwhois has no IDN support (umlaut domains)
jwhois has no IDN support (umlaut domains)
Product: Red Hat Raw Hide
Classification: Retired
Component: jwhois (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Miloslav Trmač
David Lawrence
: MoveUpstream
Depends On: 121474
  Show dependency treegraph
Reported: 2004-03-07 14:07 EST by Robert Scheck
Modified: 2007-04-18 13:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-20 10:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
jwhois spec file with IDN support (2.70 KB, text/plain)
2004-04-07 18:04 EDT, Robert Scheck
no flags Details
jwhois IDN patch (3.05 KB, patch)
2004-04-07 18:04 EDT, Robert Scheck
no flags Details | Diff
libidn spec file (1.87 KB, text/plain)
2004-04-07 18:04 EDT, Robert Scheck
no flags Details
Diff from jwhois spec files (w/o IDN support) (1.22 KB, patch)
2004-07-09 11:04 EDT, Robert Scheck
no flags Details | Diff
jwhois-3.2.2-idn.patch (1.82 KB, patch)
2004-07-09 11:05 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-03-07 14:07:56 EST
Description of problem:
jwhois has no IDN support (umlaut domains) which is used for
example by DENIC (www.denic.de).

Version-Release number of selected component (if applicable):

How reproducible && Steps to Reproduce:
1. whois dänic.de     # (ä is a german umlaut)

Actual results:
German umlaut domains have now to queried with that parameters:

 -C <charset> -T dn <domain>

These charsets are allowed: UTF-8, UTF-16, ISO-8859-1, US-ASCII

For UTF-8 *only* the following is for german umlaut domains enough:

--- snipp ---
        "\\.de$" {
                whois-server = "whois.denic.de";
                query-format = "-T dn $*";
--- snapp ---

Expected results:
But not the whole world has UTF-8 as native charset, so there should
written a patch which solve that charset problems (automatic charset
detection and/or conversion).

Additional info:
Maybe libidn-0.4.0 is included and combined with jwhois for solving
that problem.
Comment 1 Robert Scheck 2004-04-07 18:02:22 EDT
For my personal use I coded out a hack, that gives jwhois IDN support 
for all TLDs independend from the charset - I still couldn't test 
all, but the relevant ones (e.g. UTF-8, ISO-8859-1).

This solution still works for me. 

I'm still curious how Red Hat solves the "problem" with the IDN
domains... ;-)

I attached both spec files and the patch (Patch2 (German translation)
depends on #120345).
Comment 2 Robert Scheck 2004-04-07 18:04:02 EDT
Created attachment 99213 [details]
jwhois spec file with IDN support
Comment 3 Robert Scheck 2004-04-07 18:04:33 EDT
Created attachment 99214 [details]
jwhois IDN patch
Comment 4 Robert Scheck 2004-04-07 18:04:57 EDT
Created attachment 99215 [details]
libidn spec file
Comment 5 Robert Scheck 2004-06-22 02:07:01 EDT
Setting the severity to high, because there are lots of european users
(especially FC1/2 users) needing a whois with IDN support soon. 

Upstream currently doesn't accept my hack (as well as my german 
translation), but also doesn't provide any better working solution.
Comment 6 Robert Scheck 2004-07-09 11:04:40 EDT
Created attachment 101752 [details]
Diff from jwhois spec files (w/o IDN support)

Okay, I reworked my patch and removed the ugly encoding check, because DENIC is

also now queryable using ace, so maybe Bill from bug #121474 is happy, too? ;-)
Comment 7 Robert Scheck 2004-07-09 11:05:32 EDT
Created attachment 101753 [details]
Comment 8 Miloslav Trmač 2004-08-15 12:01:32 EDT
Does the "upstream currently doesn't accept my hack" also apply
to attachment id=101753?
If so, what is the reason?
Comment 9 Robert Scheck 2004-09-11 18:47:19 EDT
For attachment #101753 [details] I didn't get any response by jwhois maintainers
yet, but I think that (maybe better?) hack also isn't the perfect way 
as already described in the last two chapters of bug #132362 comment #3.
Comment 10 Robert Scheck 2006-05-20 10:09:10 EDT
A sane rewrite of my patch was accepted by upstream today, from ChangeLog:

        * src/jwhois.c (main): Added support for libidn. (Robert Scheck)

As my patch got part of upstream, I'll close this bug report now. But future
jwhois rpm packages in Fedora Core containing IDN support should buildrequire 
libidn-devel to ensure working IDN support.

Note You need to log in before you can comment on or make changes to this bug.